path: /build/build/pyopenssl-dev-python-24.2.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/pyopenssl -pv -t && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/pyopenssl
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/pyopenssl && luet-portage --dir /pkgdir/pyopenssl
    dev-python/pyopenssl && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:195852abdce1be4b8a068b4f25310f4ca09e954c73b9cadcc517c90582b3d8aa
  package:
    id: 0
    name: pyopenssl
    version: 24.2.1
    category: dev-python
    useflags:
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    state: ""
    packagerequires:
    - id: 0
      name: macaroni-funtoo-race1
      version: '>=0'
      category: seed
      useflags: []
      state: ""
      packagerequires: []
      packageconflicts: []
      provides: []
      hidden: false
      annotations: {}
      path: ""
      description: ""
      uri: []
      license: ""
      buildtimestamp: ""
      labels: {}
      treedir: ""
      repository: ""
    packageconflicts: []
    provides: []
    hidden: false
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    path: ""
    description: Python wrapper module around the OpenSSL library
    uri:
    - https://github.com/pyca/pyopenssl
    license: Apache-2.0
    buildtimestamp: 2024-08-14 18:26:40.172386346 +0000 UTC m=+44.688063724
    labels:
      BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
        ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 )
        python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
        python_targets_python3_9 python_targets_python3_8
      RDEPEND: python_targets_python2_7? ( dev-python/pyopenssl-compat ) python_targets_python3_10?
        ( dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 )
        python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
        ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      emerge.packages: dev-python/pyopenssl
      kit: python-modules-kit
      original.package.name: dev-python/pyopenssl
      original.package.slot: "0"
      original.package.version: 24.2.1
    treedir: /build/packages
    repository: ""
  package_dir: /pkgdir/pyopenssl
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 62b72af0bb322164fa6ca0eb1b04b912c77e684910d97146569da8a92464be17
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/OpenSSL/SSL.py
- usr/lib/python3.9/site-packages/OpenSSL/__init__.py
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/SSL.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/SSL.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/SSL.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/_util.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/_util.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/_util.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/crypto.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/crypto.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/crypto.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/debug.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/debug.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/debug.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/rand.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/rand.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/rand.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/version.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/version.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/OpenSSL/__pycache__/version.cpython-39.pyc
- usr/lib/python3.9/site-packages/OpenSSL/_util.py
- usr/lib/python3.9/site-packages/OpenSSL/crypto.py
- usr/lib/python3.9/site-packages/OpenSSL/debug.py
- usr/lib/python3.9/site-packages/OpenSSL/py.typed
- usr/lib/python3.9/site-packages/OpenSSL/rand.py
- usr/lib/python3.9/site-packages/OpenSSL/version.py
- usr/lib/python3.9/site-packages/pyOpenSSL-24.2.1-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/pyOpenSSL-24.2.1-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/pyOpenSSL-24.2.1-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/pyOpenSSL-24.2.1-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/pyOpenSSL-24.2.1-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/pyOpenSSL-24.2.1-py3.9.egg-info/top_level.txt
- usr/share/doc/pyopenssl-24.2.1/README.rst.bz2
- var/db/pkg/dev-python/pyopenssl-24.2.1/BDEPEND
- var/db/pkg/dev-python/pyopenssl-24.2.1/BUILD_TIME
- var/db/pkg/dev-python/pyopenssl-24.2.1/CATEGORY
- var/db/pkg/dev-python/pyopenssl-24.2.1/CBUILD
- var/db/pkg/dev-python/pyopenssl-24.2.1/CFLAGS
- var/db/pkg/dev-python/pyopenssl-24.2.1/CHOST
- var/db/pkg/dev-python/pyopenssl-24.2.1/CONTENTS
- var/db/pkg/dev-python/pyopenssl-24.2.1/COUNTER
- var/db/pkg/dev-python/pyopenssl-24.2.1/CXXFLAGS
- var/db/pkg/dev-python/pyopenssl-24.2.1/DEFINED_PHASES
- var/db/pkg/dev-python/pyopenssl-24.2.1/DESCRIPTION
- var/db/pkg/dev-python/pyopenssl-24.2.1/EAPI
- var/db/pkg/dev-python/pyopenssl-24.2.1/FEATURES
- var/db/pkg/dev-python/pyopenssl-24.2.1/HOMEPAGE
- var/db/pkg/dev-python/pyopenssl-24.2.1/INHERITED
- var/db/pkg/dev-python/pyopenssl-24.2.1/IUSE
- var/db/pkg/dev-python/pyopenssl-24.2.1/IUSE_EFFECTIVE
- var/db/pkg/dev-python/pyopenssl-24.2.1/KEYWORDS
- var/db/pkg/dev-python/pyopenssl-24.2.1/LDFLAGS
- var/db/pkg/dev-python/pyopenssl-24.2.1/LICENSE
- var/db/pkg/dev-python/pyopenssl-24.2.1/PF
- var/db/pkg/dev-python/pyopenssl-24.2.1/RDEPEND
- var/db/pkg/dev-python/pyopenssl-24.2.1/SIZE
- var/db/pkg/dev-python/pyopenssl-24.2.1/SLOT
- var/db/pkg/dev-python/pyopenssl-24.2.1/USE
- var/db/pkg/dev-python/pyopenssl-24.2.1/environment.bz2
- var/db/pkg/dev-python/pyopenssl-24.2.1/pyopenssl-24.2.1.ebuild
- var/db/pkg/dev-python/pyopenssl-24.2.1/repository
package_cacheimage: ""
runtime:
  id: 0
  name: pyopenssl
  version: 24.2.1
  category: dev-python
  useflags:
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  state: ""
  packagerequires:
  - id: 0
    name: python
    version: '>=0'
    category: dev-lang-3.9
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  - id: 0
    name: python-exec
    version: '>=0'
    category: dev-lang-2
    useflags: []
    state: ""
    packagerequires: []
    packageconflicts: []
    provides: []
    hidden: false
    annotations: {}
    path: ""
    description: ""
    uri: []
    license: ""
    buildtimestamp: ""
    labels: {}
    treedir: ""
    repository: ""
  packageconflicts: []
  provides: []
  hidden: false
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  path: ""
  description: Python wrapper module around the OpenSSL library
  uri:
  - https://github.com/pyca/pyopenssl
  license: Apache-2.0
  buildtimestamp: ""
  labels:
    BDEPEND: python_targets_python3_10? ( dev-lang/python:3.10 ) python_targets_python3_7?
      ( dev-lang/python:3.7 ) python_targets_python3_9? ( dev-lang/python:3.9 ) python_targets_python3_8?
      ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    IUSE: python_targets_python2_7 python_targets_python3_10 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8
    RDEPEND: python_targets_python2_7? ( dev-python/pyopenssl-compat ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) >=dev-lang/python-exec-2:=[python_targets_python3_10(-)?,python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,-python_single_target_python3_10(-),-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-)]
    emerge.packages: dev-python/pyopenssl
    kit: python-modules-kit
    original.package.name: dev-python/pyopenssl
    original.package.slot: "0"
    original.package.version: 24.2.1
  treedir: ""
  repository: ""
